| Home | Libraries | People | FAQ | More

##### as_vector

###### Description

Returns the result type of `as_vector`.

###### Synopsis

    template <typename Sequence>
    struct as_vector;

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
`Sequence` | A fusion Sequence | The sequence to convert.

###### Expression Semantics

    result_of::as_vector<Sequence>::type;

Return type: A `vector` with same elements as the input sequence, `Sequence`.

Semantics: Convert a fusion sequence, `Sequence`, to a `vector`.

###### Header

    #include <boost/fusion/container/vector/convert.hpp>
    #include <boost/fusion/include/as_vector.hpp>

###### Example

    result_of::as_vector<list<char, int> >::type